Bug 1334989 - [RFE] Pulp download timeouts should be configurable
Summary: [RFE] Pulp download timeouts should be configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.1.8
Hardware: All
OS: Linux
high
high with 2 votes vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On: 1971076
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2016-05-11 05:17 UTC by Prakash Ghadge
Modified: 2022-03-13 14:03 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:08:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17423 0 Normal Closed Pulp download timeouts should be configurable 2021-04-08 13:38:13 UTC
Pulp Redmine 7201 0 Normal CLOSED - CURRENTRELEASE As a user I can set http connection timeout and read timeout 2020-12-07 20:06:04 UTC
Red Hat Knowledge Base (Solution) 3344451 0 None None None 2018-02-05 18:24:45 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:08:40 UTC

Comment 2 Brad Buckingham 2016-11-21 17:12:25 UTC
Created redmine issue http://projects.theforeman.org/issues/17423 from this bug

Comment 3 pulp-infra@redhat.com 2016-11-21 18:55:20 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2016-11-21 18:55:23 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 8 pulp-infra@redhat.com 2018-08-01 16:10:02 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 9 pulp-infra@redhat.com 2018-08-07 20:06:52 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 10 pulp-infra@redhat.com 2018-08-10 19:08:48 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 11 pulp-infra@redhat.com 2018-09-04 18:06:33 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 13 pulp-infra@redhat.com 2018-11-20 19:36:46 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 14 pulp-infra@redhat.com 2018-12-04 22:35:52 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 18 Tanya Tereshchenko 2020-01-03 10:59:48 UTC
Brad, it doesn't seem like there is anything to do on Pulp side. Should we move it to another component to track it there? Thanks!

Comment 19 Tanya Tereshchenko 2020-03-31 08:42:49 UTC
This BZ is repurposed, this feature needs to be implemented in Pulp 3.

(FWIW, the feature is complete in Pulp 2 (released in 2.18.0), if anyone needs/wants to use it, see https://pulp.plan.io/issues/1758.)

Comment 20 pulp-infra@redhat.com 2020-03-31 17:48:25 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 21 pulp-infra@redhat.com 2020-03-31 17:48:27 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 24 pulp-infra@redhat.com 2020-05-08 19:31:05 UTC
The Pulp upstream bug priority is at Low. Updating the external tracker on this bug.

Comment 26 Brad Buckingham 2020-07-06 21:42:45 UTC
Hi Tanya,

Since we'll need this functionality in Pulp (v3) before it is added in to Katello, I am moving the bugzilla back to the Pulp component.  Once it is available in Pulp 3, we can move it back to Repositories component and complete the work needed in Katello.

Thanks!

Comment 27 pulp-infra@redhat.com 2020-10-26 17:07:07 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 28 pulp-infra@redhat.com 2020-10-26 17:07:08 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 29 pulp-infra@redhat.com 2020-11-02 21:04:08 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 30 pulp-infra@redhat.com 2020-11-13 23:04:49 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 31 pulp-infra@redhat.com 2020-12-03 21:05:23 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 32 pulp-infra@redhat.com 2020-12-07 20:06:03 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 37 Bryan Kearney 2021-04-13 10:12:30 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/17423 has been resolved.

Comment 38 Lai 2021-06-10 17:44:36 UTC
Not sure how to test this as there's no test steps in the PR.  I'm only aware of syncing repos.

Comment 39 Justin Sherrill 2021-06-10 17:56:15 UTC
You can change the setting at 

Administer > settings > Content > Sync Connection Timeout	

Changes take affect on next sync.


It defaults to 5 minutes, which should be plenty.  I don't have a great solution for testing it.  Maybe setting it to something really low (like 1 second), and trying to sync from a repo really far away?


You could also confirm in pulp's db:

sudo -u postgres psql pulpcore -c 'select url, total_timeout from core_remote;'

Comment 45 errata-xmlrpc 2021-11-16 14:08:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.